AOSD(1)

NAME
aosd_cat - displays text on the screen

SYNOPSIS
aosd_cat [OPTION...]

DESCRIPTION
Displays UTF-8 text in a transparent OSD frame.

For parameters marked with asterisk (*) valid range is 0-255. Those, which are marked with double asterisk (**), accept negative values. Coloring parameters are specified in either #RGB format or from rgb.txt. Timing parameters are specified in milliseconds. Scrollback limits are cancelled with 0 parameter. Age is in seconds.

Geometry Options:

-p, --position
    Sets the OSD window position. Or to be more precise, selects the point of the screen which is told to be the beginning of the coordinates (the 0,0 point) AND selects the point of the OSD window to collocate with it. Valid range is 0-8, where 0 is top-left corner and 8 is bottom-right corner. Default value is 6.

-x, --x-offset **
    Sets the x-axis window offset from the (0,0) point. Default value is 50.

-y, --y-offset **
    Sets the y-axis window offset from the (0,0) point. Default value is -50.

-e, --shadow-offset **
    Sets the shadow offset. Default value is 2.

-d, --padding *
    Sets the margin from the edge to the contents. Default value is 0.

Appearance Options:

-t, --transparency
    Sets the transparency mode. 0=none, 1=fake, 2=composite. Default value is 2.

-n, --font
    Sets the OSD font. No default value.

-w, --width
    Sets the OSD wrapping width in pixels. If set to zero, text will be wrapped on screen width or will not be wrapped at all if other parameters make it impossible to layout correctly. Default value is 0.

Coloring Options:

-B, --back-color
    Sets the background color. No default value.

-S, --shadow-color
    Sets the shadow color. Default value is black.

-R, --fore-color
    Sets the foreground color. Default value is green.

Opacity Options:

-b, --back-opacity *
    Sets the background opacity. Default value is 0.

-s, --shadow-opacity *
    Sets the shadow opacity. Default value is 192.

-r, --fore-opacity *
    Sets the foreground opacity. Default value is 255.

Timing Options:

-f, --fade-in
    Sets the fade in time. Default value is 300.

-u, --fade-full
    Sets the time to show with full opacity. Default value is 3000.

-o, --fade-out
    Sets the fade out time. Default value is 300.

Scrollback Options:

-a, --age
    Sets the line age removal limit. Default value is 0.

-l, --lines
    Sets the line amount removal limit. Default value is 1.

Application Options:

-i, --input
    Sets the input text source. Default value is -.

BUGS
This manpage may be out of date. Use --help to get the latest options.

Thank you for using libaosd! Please send bug reports to: http://jira.atheme.org/